Get Ingest Job
GET /ingest-jobs/{job_id}One import. skipped names every row that did not land and why (§13).
Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
job_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | IngestJobView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/ingest-jobs/{job_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — IngestJobView
Section titled “Response — IngestJobView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
kb_id | string (uuid) | required | — |
status | queued | running | succeeded | failed | cancelled | required | — |
stage | analyzing | embedding | null | optional | — |
mode | verbatim | analyzed | required | — |
source_format | csv | markdown | items | document | url | required | — |
source_filename | string | null | optional | — |
source_url | string | null | optional | — |
total_items | integer | optional | Default 0. |
processed_items | integer | optional | Default 0. |
created_items | integer | optional | Default 0. |
skipped | IngestSkip[] | optional | — |
analyzer_run_id | string (uuid) | null | optional | — |
tokens_input | integer | optional | Default 0. |
tokens_output | integer | optional | Default 0. |
cost | string | optional | Default "0". |
error_message | string | null | optional | — |
started_at | string (date-time) | null | optional | — |
finished_at | string (date-time) | null | optional | — |
created_at | string (date-time) | required | — |